<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */

/*
Plugin Name: Tweet Highlights
Plugin URI: http://rooh.it
Description: Directly tweet individual highlights of any web page
Version: 2.0.1.1
Author: Rooh.It Team
Author URI: http://rooh.it
*/

/* 
* +--------------------------------------------------------------------------+
* | Copyright (c) 2006 RoohIt                   (email : support@roohit.com) |
* +--------------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify     |
* | it under the terms of the GNU General Public License as published by     |
* | the Free Software Foundation; either version 2 of the License, or        |
* | (at your option) any later version.                                      |
* |                                                                          |
* | This program is distributed in the hope that it will be useful,          |
* | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
* | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
* | GNU General Public License for more details.                             |
* |                                                                          |
* | You should have received a copy of the GNU General Public License        |
* | along with this program; if not, write to the Free Software              |
* | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA |
* +--------------------------------------------------------------------------+
*/

$tweetRooh_settings = array( array('offsetFromTop', ''), array('onRight', '') );

function tweetRooh()
{
  global $tweetRooh_offsetFromTop;
  global $tweetRooh_onRight;
  echo '<style>' ;
	require_once ('roohit_wpv.css') ;
  echo '</style>' ;
  
  if ($tweetRooh_onRight == '0') $whichClass = "<div class='followus_l'> " ;
  else                           $whichClass = "<div class='followus_r'> " ;
  
echo "
<!-- BEGIN Rooh It Twitter button --> 
 ", $whichClass, "
		<div class='followme' onclick=\"location.href='http://roohit.com/'+location.href\"></div>
	</div>
<!-- Rooh It Twitter button END -->
  ";
}

function widget_tweetRooh($args) {
  extract($args);
  echo $before_widget;
  echo $before_title . 'Tweet Highlights' . $after_title;
  tweetRooh();
  echo $after_widget;
}

function tweetRooh_init()
{
	global $tweetRooh_offsetFromTop;
    global $tweetRooh_onRight;

	register_sidebar_widget(__('Tweet Highlights'), 'widget_tweetRooh');
  
	// Add the user defined settings
    add_option('tweetRooh_offsetFromTop');

	// Iniitalise the settings
	if (!isset($tweetRooh_offsetFromTop)) $tweetRooh_offsetFromTop = get_option('tweetRooh_offsetFromTop');
	if (strlen($tweetRooh_offsetFromTop) == 0) $tweetRooh_offsetFromTop = '150' ;
	$tweetRooh_settings['offsetFromTop'] = $tweetRooh_offsetFromTop;

    if (!isset($tweetRooh_onRight)) $tweetRooh_onRight = get_option('tweetRooh_onRight');
    if (strlen($tweetRooh_onRight) == 0) $tweetRooh_onRight = '1';
    $tweetRooh_settings['onRight'] = $tweetRooh_onRight;
}

add_action("plugins_loaded", "tweetRooh_init");

add_action("admin_menu", "tweetRooh_admin_menu");

function tweetRooh_admin_menu() {
  add_options_page("Tweet Highlights Options", "Tweet Highlights", 8, "__FILE__", "tweetRooh_options");
}

/*
function tweetRooh_options() {
  echo "<div class="wrap">";
  echo "<p>Here is where the form would go if I actually had options.</p>";
  echo "</div>";
}
*/

function tweetRooh_options() {
    global $tweetRooh_offsetFromTop;
    global $tweetRooh_onRight;
?>
    <div class="wrap">
    <h2>Rooh.It: directly Tweet Highlights</h2>

    <div align="center" id="message" class="updated fade"><p><a href="mailto:support@roohit.com?subject=WordPress plugin Feedback">Tell us</a> what you think of this plugin?</p></div>

    <form method="post" action="options.php">
    <?php wp_nonce_field('update-options'); ?>

    <h3>Button Options</h3>
    <table class="form-table">
        <tr valign="top">
            <th scope="row"><?php _e("Show on which Side", 'tweetRooh_trans_domain' ); ?></th>
            <td>            
            	<input type="radio" name="tweetRooh_onRight" value='0' id="tweetRooh_onRight_0" <?php if ($tweetRooh_onRight == '0') echo 'checked=\"checked\"' ?> /> <?php _e("Left", 'tweetRooh_trans_domain' ); ?>
            	<input type="radio" name="tweetRooh_onRight" value='1' id="tweetRooh_onRight_1" <?php if ($tweetRooh_onRight == '1') echo 'checked=\"checked\"' ?> /> <?php _e("Right (recommended)", 'tweetRooh_trans_domain' ); ?>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php _e("Offset from top of Page", 'tweetRooh_trans_domain' ); ?></th>
            <td>
            	<input type="text" name="tweetRooh_offsetFromTop" size="3" maxlength="3" value="<?=$tweetRooh_offsetFromTop?>" />px
            </td>
		</tr>
    </table>

    <input type="hidden" name="action" value="update" />
    <input type="hidden" name="page_options" value="tweetRooh_offsetFromTop, tweetRooh_onRight, tweetRooh_options"/>

    <p class="submit">
    <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
    </p>

    </form>

    <h2>Like this plugin?</h2>
    <p>Why not do any of the following:</p>
    <ul>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; Write a blog posting <a href="http://roohit.com/site/blogThis.php">about it</a>, and link to it so other folks can find out about it.</li>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; <a href="http://wordpress.org/extend/plugins/tweet-highlights/">Give it a good rating</a> on WordPress.org, so others will find it easily!</li>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=7137089">Donate a token of your appreciation</a>.</li>
    </ul>

    <h2>Need support?</h2>
    <p>If you have any problems or good ideas, please talk about them in the <a href="http://wordpress.org/tags/tweet-highlights">Support forums</a>.</p>
    
    <h2>About</h2>
    <p><em>Rooh</em> means <em>soul</em>. When you Rooh It you get to the soul of the page, as you individually determine it. </p>
    <p>The no-signup, no-download, highlighter was conceived and created by Rohit Chandra and has been maintained by <a href="http://roohit.com/">RoohIt</a> since the very beginning.</p>

    </div>

<?php
}

// Description: Enables visitors to <strong>highlight</strong>, share, save, and <strong>promote your website on Twitter, Facebook, LinkedIn, and all their social networks, blogs and friends</strong>. All highlights made on your page are automatically posted to all of our <a href='http://roohit.com/site/urWidget.php'>MicroBloggers'</a> blogs and Social Networks pages - instantly generating LOTS and LOTS of links back to your posting. It's all Free, and no-one ever needs to "join" any site; nor download anything!
?>
